Summary:	Newsbeuter - an RSS feed reader for the text console
Summary(hu.UTF-8):	Newsbeuter - egy RSS hírolvasó szöveges terminálra
Summary(pl.UTF-8):	Newsbeuter - czytnik RSS dla terminala tekstowego
Name:		newsbeuter
Version:	2.9
Release:	4
License:	MIT/X
Group:		Applications/Networking
#Source0Download: https://www.newsbeuter.org/download.html
Source0:	https://www.newsbeuter.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	9cf332dc7e591023147bda7add430835
Patch0:		%{name}-json_c.patch
URL:		https://www.newsbeuter.org/
BuildRequires:	curl-devel
BuildRequires:	gettext-tools
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libxml2-devel >= 2
BuildRequires:	ncurses-devel >= 6
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	stfl-devel >= 0.21-4
Requires:	json-c >= 0.11
Suggests:	wwwbrowser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Newsbeuter is an RSS feedreader. Newsbeuter is designed to be used on
text terminals on Unix or Unix-like systems.

%description -l hu.UTF-8
Newsbeuter egy RSS hírolvasó, amely szöveges terminálokon való
használatra készült.

%description -l pl.UTF-8
Newsbeuter to czytnik RSS przeznaczony do używania na terminalach
tekstowych w systemach uniksowych.

%prep
%setup -q
%patch -P0 -p1

%{__sed} -i "s@ncursesw5@ncursesw6@g" config.sh

%build
CXXFLAGS="%{rpmcxxflags}" \
%{__make} \
	CXX="%{__cxx}" \
	REALLDFLAGS="%{rpmldflags}" \
	prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/zh{,_CN}
# less up-to-date version of es
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/es_ES

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README TODO doc/*.txt doc/xhtml/*.html doc/example-config
%attr(755,root,root) %{_bindir}/newsbeuter
%attr(755,root,root) %{_bindir}/podbeuter
%{_mandir}/man1/newsbeuter.1*
%{_mandir}/man1/podbeuter.1*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/newsbeuter.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d77c90
- Release 4 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 245a787
- Fix applying patches.

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> aea1083
- release 3 (json-c soname change)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d4f2ad
- release 2 (by relup.sh)

* Thu May 17 2018 Jakub Bogusz <qboosh@pld-linux.org> d384518
- updated to 2.9
- added json_c patch (fix build with json-c 0.13 without deprecated APIs)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 14b1707
- updated gettext BR

* Sun Jul 13 2014 Jan Palus <atler@pld-linux.org> 78897fa
- up to 2.8

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 5cbe564
- remove duplicate es_ES locale
- install docs properly
- rel 2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> b7bca45
- up to 2.7

* Sat May 12 2012 Zsolt Udvari <uzsolt@pld-linux.org> 3fbe14e
- 2.5
- replace ncursesw5 to ncursesw6

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b54b1e5
- release 2

* Wed Feb 02 2011 Zsolt Udvari <uzsolt@pld-linux.org> 703b0dc
- 2.4

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> b146bcd
- BR: libxml2-devel

* Fri Jun 25 2010 Zsolt Udvari <uzsolt@pld-linux.org> 2964fdf
- 2.3

* Tue Mar 16 2010 Zsolt Udvari <uzsolt@pld-linux.org> 3baecf0
- use normal Makefile
- rel 2

* Mon Mar 15 2010 Zsolt Udvari <uzsolt@pld-linux.org> f1cfdec
- 2.2
- removed patch0
- sedding and using Makefile.prof

* Tue Feb 23 2010 Zsolt Udvari <uzsolt@pld-linux.org> 67ec5d5
- suggests wwwbrowser

* Thu Dec 10 2009 sparky <sparky@pld-linux.org> df55038
- added compile-flags patch
- BR: curl-devel, pkgconfig
- dropped BR: stfl-static
- pass rpm*flags and cxx compiler

* Thu Dec 10 2009 sparky <sparky@pld-linux.org> f2ce132
- don't link with static stfl
- allow to pass LDFLAGS and CXXFLAGS

* Thu Dec 10 2009 Zsolt Udvari <uzsolt@pld-linux.org> a3cff09
- more docs
- remove source1
- rel 2

